services:
    yacht:
        container_name: yacht
        image: selfhostedpro/yacht
        labels:
            traefik.docker.network: traefik
            traefik.enable: true
            traefik.http.routers.yacht.entrypoints: websecure
            traefik.http.routers.yacht.rule: Host(`yacht.alexlebens.net`)
            traefik.http.routers.yacht.service: yacht
            traefik.http.services.yacht.loadbalancer.server.port: 8000
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        privileged: true
        restart: always
        user: root
        volumes:
            - yacht_config:/config
            - /var/run/docker.sock:/var/run/docker.sock

networks:
    traefik:
        name: traefik
        external: true

volumes:
    yacht_config:
        driver: local
        driver_opts:
            type: none
            o: bind
            device: /var/lib/docker/volumes/partition/yacht_config
